| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Digikam::ParseSettings Class Reference

## Public Member Functions
| ParseSettings ()
| default constructor
| ParseSettings (const ItemInfo &info)
| ItemInfo constructor.
| ParseSettings (const QString &_parseString)
| ParseSettings (const QString &_parseString, const ItemInfo &info)
bool | isValid () const

## Public Attributes
QDateTime | creationTime
ParseResults::ResultsKey | currentResultsKey
int | cutFileName = 0
QUrl | fileUrl
ParseResults | invalidModifiers
AdvancedRenameManager * | manager = nullptr
QString | parseString
ParseResults | results
int | startIndex = 1
QString | str2Modify
bool | useOriginalFileExtension = true